package org.dromara.system.service;

import org.dromara.system.domain.AskLeaveFj;
import org.dromara.system.domain.vo.AskLeaveFjVo;
import org.dromara.system.domain.bo.AskLeaveFjBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 请假附件Service接口
 *
 * @author boman
 * @date 2024-11-04
 */
public interface IAskLeaveFjService {

    /**
     * 查询请假附件
     */
    AskLeaveFjVo queryById(Long id);

    /**
     * 查询请假附件列表
     */
    TableDataInfo<AskLeaveFjVo> queryPageList(AskLeaveFjBo bo, PageQuery pageQuery);

    /**
     * 查询请假附件列表
     */
    List<AskLeaveFjVo> queryList(AskLeaveFjBo bo);

    /**
     * 新增请假附件
     */
    Boolean insertByBo(AskLeaveFjBo bo);

    /**
     * 修改请假附件
     */
    Boolean updateByBo(AskLeaveFjBo bo);

    /**
     * 校验并批量删除请假附件信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
